CVE-2020-7751

NameCVE-2020-7751
Descriptionpathval before version 1.1.1 is vulnerable to prototype pollution.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
Debian Bugs972895

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
node-pathval (PTS)buster1.1.0-3+deb10u1fixed
bullseye1.1.1-1fixed
bookworm, sid1.1.1+~1.1.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
node-pathvalsourcebuster1.1.0-3+deb10u1
node-pathvalsource(unstable)1.1.0-4972895

Notes

https://snyk.io/vuln/SNYK-JS-PATHVAL-596926
https://github.com/chaijs/pathval/pull/58

Search for package or bug name: Reporting problems